> ## Documentation Index
> Fetch the complete documentation index at: https://studio-docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recommendations

> Poll recommendation status and view suggested models.



## OpenAPI

````yaml GET /api/v1/public/recommendations/{snapshotId}
openapi: 3.1.0
info:
  version: 0.0.1
  title: Prem Studio API
  description: Studio autofinetuning agent API
servers:
  - url: http://studio.premai.io
    description: Current environment
  - url: https://studio.premai.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/public/recommendations/{snapshotId}:
    get:
      tags:
        - Public Recommendations
      description: Get recommendations status for a snapshot
      operationId: recommendations.get
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: snapshotId
          in: path
      responses:
        '200':
          description: Recommendations status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRecommendationsResponse'
        '404':
          description: Snapshot not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetRecommendationsResponse:
      type: object
      properties:
        snapshot_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        recommended_models:
          type: array
          nullable: true
          items:
            type: object
            properties:
              base_model_id:
                type: string
              recommended:
                type: boolean
              full_hyperparameters:
                type: object
                nullable: true
                properties:
                  n_epochs:
                    type: integer
                  batch_size:
                    type: integer
                  learning_rate_multiplier:
                    type: number
                required:
                  - n_epochs
                  - batch_size
                  - learning_rate_multiplier
              lora_hyperparameters:
                type: object
                nullable: true
                properties:
                  n_epochs:
                    type: integer
                  batch_size:
                    type: integer
                  learning_rate_multiplier:
                    type: number
                required:
                  - n_epochs
                  - batch_size
                  - learning_rate_multiplier
              reason_for_recommendation:
                type: string
                nullable: true
            required:
              - base_model_id
              - recommended
              - full_hyperparameters
              - lora_hyperparameters
              - reason_for_recommendation
        recommended_experiments:
          type: array
          nullable: true
          items:
            type: object
            properties:
              base_model_id:
                type: string
              batch_size:
                type: integer
              learning_rate_multiplier:
                type: number
              n_epochs:
                type: integer
              training_type:
                type: string
                enum:
                  - full
                  - lora
                  - qlora
              recommended:
                type: boolean
              reason_for_recommendation:
                type: string
                nullable: true
            required:
              - base_model_id
              - batch_size
              - learning_rate_multiplier
              - n_epochs
              - training_type
              - recommended
              - reason_for_recommendation
      required:
        - snapshot_id
        - status
        - recommended_models
        - recommended_experiments
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````